Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 589294 - [RFE] total results reported on a search page should be immediately viewable
Summary: [RFE] total results reported on a search page should be immediately viewable
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: web UI
Version: 0.5
Hardware: All
OS: Linux
low
low vote
Target Milestone: 0.15
Assignee: Raymond Mancy
QA Contact: Nick Coghlan
URL:
Whiteboard: UX
Depends On:
Blocks: 1008331
TreeView+ depends on / blocked
 
Reported: 2010-05-05 18:53 UTC by Kevin Baker
Modified: 2018-02-06 00:41 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1008331 (view as bug list)
Environment:
Last Closed: 2013-10-03 02:29:43 UTC


Attachments (Terms of Use)

Description Kevin Baker 2010-05-05 18:53:14 UTC
Description of problem:

the search pages return the total results but it is listed at the bottom right of the page. You have to scroll down to find it. Better to follow the web standards and list at the top with the navigation buttons. Perhaps list it in both places. 

It should also indicate how many results per page so a user can estimate how far he has to click

Comment 1 Raymond Mancy 2013-07-29 11:16:22 UTC
http://gerrit.beaker-project.org/#/c/2131/

Comment 3 Nick Coghlan 2013-09-16 07:55:22 UTC
Displaying the item count at the top of the grid has been included as part of the general web UI updates in 0.15.

The other pagination improvements have been moved out to a separate issue (bug 1008331) - this issue just covers relocation of the item counts.

Explicitly checked the following to confirm the item count had been moved to the grid header:

- System table
- Job table
- Distro table
- Device table
- Task Library
- Activity table

Comment 4 Nick Coghlan 2013-10-03 02:29:43 UTC
Beaker 0.15 has been released.


Note You need to log in before you can comment on or make changes to this bug.